POST /Command/AddInvestigationDetails
Add details to an incident investigation with HTML rich text. Optionally add IOA or IOC details via JSON format.
Request
Authentication: API keys or JSON web tokens (JWT)
Body Parameters
|
Parameter Name |
Type |
Required/Optional |
Description |
|---|---|---|---|
|
Username |
|
Required |
The username of your D3 SOAR account. |
|
Site |
|
Required |
The D3 SOAR site to run the remote command. |
|
Incident Number |
|
Required |
The incident number to add investigation details to. |
|
Investigation Section |
|
Required |
The section to add the investigation details to. |
|
Investigation Detail Content |
|
Required |
The investigation details in HTML rich text. |
|
Investigation Detail in JSON |
|
Optional |
Optional JSON field for creating IOA and IOCs. The IOA and IOCs created will be displayed in link analysis. |
|
Editing Type |
|
Required |
Choose whether to add a new investigation detail or overwrite all existing details. |